org.gnome.gdk

## Class EventVisibility

- Object
- - org.freedesktop.bindings.Pointer
  - - org.gnome.glib.Boxed
    - - org.gnome.gdk.Event
      - - org.gnome.gdk.EventVisibility

-     public final class EventVisibility
      extends Event

  The data regarding an event related to the visibility of a Widget. In general this is only relevant when hooked up to a Window, but the capability is general nevertheless. See `Widget.VisibilityNotifyEvent` for further details.
  Since:
    4.0.5
  Author:
    Andrew Cowie

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `VisibilityState` | `getState()` This is largely the point of this Event subclass: return the Constant describing the current visibility of the Window.

    - ### Methods inherited from class org.gnome.gdk.Event

      `getType, getWindow`

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getState

          public VisibilityState getState()

      This is largely the point of this Event subclass: return the Constant describing the current visibility of the Window. This is what you use in a `Widget.VisibilityNotifyEvent` handler.